Package org.eclipse.mat.snapshot.model

## Class ObjectComparators

- java.lang.Object
- - org.eclipse.mat.snapshot.model.ObjectComparators

    public class ObjectComparators
    extends Object

Factory of heap object comparators.

### Constructor Summary

Constructors
`ObjectComparators()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Comparator<IObject>` `getComparatorForClassSpecificNameAscending()`
`static Comparator<IObject>` `getComparatorForClassSpecificNameDescending()`
`static Comparator<IObject>` `getComparatorForRetainedHeapSizeAscending()`
`static Comparator<IObject>` `getComparatorForRetainedHeapSizeDescending()`
`static Comparator<IObject>` `getComparatorForTechnicalNameAscending()`
`static Comparator<IObject>` `getComparatorForTechnicalNameDescending()`
`static Comparator<IObject>` `getComparatorForUsedHeapSizeAscending()`
`static Comparator<IObject>` `getComparatorForUsedHeapSizeDescending()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectComparators

    public ObjectComparators()

### Method Detail

#### getComparatorForTechnicalNameAscending

    public static Comparator<IObject> getComparatorForTechnicalNameAscending()

#### getComparatorForTechnicalNameDescending

    public static Comparator<IObject> getComparatorForTechnicalNameDescending()

#### getComparatorForClassSpecificNameAscending

    public static Comparator<IObject> getComparatorForClassSpecificNameAscending()

#### getComparatorForClassSpecificNameDescending

    public static Comparator<IObject> getComparatorForClassSpecificNameDescending()

#### getComparatorForUsedHeapSizeAscending

    public static Comparator<IObject> getComparatorForUsedHeapSizeAscending()

#### getComparatorForUsedHeapSizeDescending

    public static Comparator<IObject> getComparatorForUsedHeapSizeDescending()

#### getComparatorForRetainedHeapSizeAscending

    public static Comparator<IObject> getComparatorForRetainedHeapSizeAscending()

#### getComparatorForRetainedHeapSizeDescending

    public static Comparator<IObject> getComparatorForRetainedHeapSizeDescending()